LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Kernel
User Name
Password
Linux - Kernel This forum is for all discussion relating to the Linux kernel.

Notices

Reply
 
Search this Thread
Old 06-01-2010, 08:02 AM   #1
JMO
LQ Newbie
 
Registered: Jul 2005
Location: Rosario, Argentina
Distribution: Slackware 13.1
Posts: 3

Rep: Reputation: 0
modprobe: cannot parse depmod (Kernel version badly pointed)


Hello. I'm using SliTaz Cooking (20100314) in a USB. I've searched all around the community, but with no luck.

My problem is that after making a full packages upgrade, modules for kernel can't be loaded anymore at boot. That is because depmod searches for 2.6.30.6 version of kernel in /lib/modules, when the installed version is 2.6.34

I've seen the man page of depmod, but the only thing that I was able to change was the base dir for looking. In fact, uname -r gives me the old version of the kernel.

How can I solve this?

Thanks for your attention.-
 
Old 06-01-2010, 03:37 PM   #2
nini09
Senior Member
 
Registered: Apr 2009
Posts: 1,045

Rep: Reputation: 86
How do you upgrade your system? Your upgrading is failure. You need select your old version from GRUB or LILO to boot up and upgrade it again.
 
Old 06-01-2010, 04:06 PM   #3
JMO
LQ Newbie
 
Registered: Jul 2005
Location: Rosario, Argentina
Distribution: Slackware 13.1
Posts: 3

Original Poster
Rep: Reputation: 0
I upgrade it via tazpkg, the SliTaz package manager.

I've already upgraded it twice. I could try to boot up using the new kernel, but the extlinux.conf and isolinux.conf, both point to /boot/bzImage, so I really dont know how to set it up manually =/
 
Old 06-02-2010, 11:16 AM   #4
JMO
LQ Newbie
 
Registered: Jul 2005
Location: Rosario, Argentina
Distribution: Slackware 13.1
Posts: 3

Original Poster
Rep: Reputation: 0
I've solved it downgrading SliTaz to the stable version via

Quote:
# tazpkg set-release stable
and then blocking the packages associated to the stable kernel with

Quote:
# tazpkg search 2.6.30.6
# tazpkg block *
with * being every package that showed 2.6.30.6 on is version

Finally, upgraded it with

Quote:
# tazpkg set-release cooking
 
  


Reply

Tags
depmod, kernel, slitaz


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Version requires old depmod, but couldn't run /sbin/depmod.old: No such file or dir jiobo Linux - Software 0 12-04-2008 03:53 AM
depmod modprobe missing PatrickNew Linux - Software 2 08-29-2006 12:45 PM
ndiswrapper / depmod /modprobe error android6011 Linux - Software 3 04-24-2006 07:03 PM
depmod errors and problems with modprobe dwyatte Slackware 0 10-10-2003 01:38 PM
unresolved symbols w/depmod and modprobe dave408 Linux - General 6 11-23-2002 08:16 PM


All times are GMT -5. The time now is 12:25 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration